/*
 * FileSystemResource.java
 * Provides java level access to a team's file system resource.
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.resources;

/**
 * Provides java level access to a team's file system resource.
 */
public final class FileSystemResource
{
    /**
     * Change the file system resource for this team.
     *
     * @param fss The new FileSystemSpec for the team.
     */
    public static native void change(FileSystemSpec fss)
	throws ResourceSpecException;

    /**
     * Private constructor, this is a static only class.
     */
    private FileSystemResource()
    {
    }
}
