/*
 * LogResource.java
 * Provides java level access to a team's log resource.
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.resources;

/**
 * Provides java level access to the current team's log resource.
 *
 * @author Tim Stack, <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
public final class LogResource
{
    /**
     * @param msg A message to append to the log.
     */
    public static native void log(String msg);

    /**
     * Its a static only class.
     */
    private LogResource()
    {
    }
}
