/*
 * EventHandler.java
 * Interface for objects that are willing to handle events.
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.sys;

/**
 * Interface for objects that are want to handle system events.
 *
 * @see Event
 * @see EventQueue
 * @author Tim Stack, <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
/*package*/ interface EventHandler
{
    /**
     * Handle the Event targeted to this object.
     *
     * @param ev The Event to process.
     * @see Event#setTarget
     */
    void handleEvent(Event ev);
}
